<template>
  <div class="inline-16">
    <el-button type="default" size="small" @click="onDel">删 除</el-button>
  </div>
</template>

<script>
export default {
  methods:{
    onDel () {
       this.$confirm('此操作将永久删除该数据, 是否继续?', '提示', {
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        type: 'warning'
      }).then(async () => {
        const res = await this.$api.requested({
          "classname":"webmanage.saletool.orderclue.orderclue",
          "method": "delete",
          "content": {
            "sat_orderclueuploadbillid": this.$route.query.id
          }
        })
        this.tool.showMessage(res,()=>{
          this.$router.go(-1)
        })
      })
      
    }
  }
}

</script>
<style>
</style>